플랜
플랜 보기
필요한 권한: plans:read
GET
/
v1
/
plans
/
{id}
플랜 보기
curl --request GET \
--url https://api.morrowly.app/v1/plans/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.morrowly.app/v1/plans/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.morrowly.app/v1/plans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"assumptions": {
"capLoans": true,
"cashFloor": 123,
"cashReturn": 123,
"childDependent": true,
"contributions": [
{
"assetId": "<string>",
"monthlyAmount": 123,
"until": "<string>",
"untilRetirement": true
}
],
"dividendYield": 123,
"harvestGains": true,
"incomeGrowth": 123,
"inflation": 123,
"investmentReturn": 123,
"prepayDebt": true,
"realEstateGrowth": 123,
"safeWithdrawalRate": 123,
"surplusTargetAssetId": "<string>",
"withdrawalOrder": "PROPORTIONAL"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"annualRate": 123,
"assetType": "INVESTMENT",
"cost": 123,
"end": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123,
"who": "SELF"
},
"loan": {
"annualRate": 123,
"owner": "SELF",
"policyLoan": "DIDIMDOL",
"principal": 123,
"repayment": "ANNUITY",
"termMonths": 123
},
"owner": "SELF",
"price": 123,
"saleCost": 123,
"start": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123,
"who": "SELF"
}
}
],
"milestones": [
{
"id": "<string>",
"name": "<string>",
"time": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123,
"who": "SELF"
}
}
],
"monteCarlo": {
"almostYears": 123,
"comfortable": 123,
"distribution": "LOGNORMAL",
"excellent": 123,
"fair": 123,
"good": 123,
"homeRisk": true,
"market": "SP500",
"runs": 123,
"seed": 123,
"surplus": 123,
"volatility": 123
},
"months": 123,
"name": "<string>",
"off": [
"<string>"
],
"revision": "<string>",
"startMonth": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"error": {
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
},
"result": "SUCCESS"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I
플랜 보기
